Create FAQ
Creates a new FAQ entry within the specified knowledge base.
POST
/
knowledge-base
/
{knowledgeBaseId}
/
faqs
Create FAQ
curl --request POST \
--url https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"question": "How do I reset my password?",
"answer": "Navigate to Settings > Security and click Reset Password."
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
question: 'How do I reset my password?',
answer: 'Navigate to Settings > Security and click Reset Password.'
})
};
fetch('https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs"
payload = {
"question": "How do I reset my password?",
"answer": "Navigate to Settings > Security and click Reset Password."
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"faq": {
"id": "faq_abc123",
"knowledgeBaseId": "kb_abc123def456",
"question": "How do I reset my password?",
"answer": "Navigate to Settings > Security and click Reset Password.",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Not found",
"error": "Not Found"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Path Parameters
Body
application/json
Last modified on March 7, 2026
Was this page helpful?
Create FAQ
curl --request POST \
--url https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"question": "How do I reset my password?",
"answer": "Navigate to Settings > Security and click Reset Password."
}
'const options = {
method: 'POST',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
question: 'How do I reset my password?',
answer: 'Navigate to Settings > Security and click Reset Password.'
})
};
fetch('https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs"
payload = {
"question": "How do I reset my password?",
"answer": "Navigate to Settings > Security and click Reset Password."
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"faq": {
"id": "faq_abc123",
"knowledgeBaseId": "kb_abc123def456",
"question": "How do I reset my password?",
"answer": "Navigate to Settings > Security and click Reset Password.",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Not found",
"error": "Not Found"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}